## org.eclipse.datatools.modelbase.sql.query
Interface TableFunction

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, SQLQueryObject, TableExpression, TableReference

All Known Subinterfaces:
  XMLTableFunction

    public interface TableFunction

extends TableExpression

A representation of the model object 'SQL Table Function'.

The following features are supported:

- `Function`
- `Parameter List`

See Also:
  `SQLQueryModelPackage.getTableFunction()`

Method Summary
`Function` `getFunction()` Returns the value of the 'Function' reference.
`org.eclipse.emf.common.util.EList` `getParameterList()` Returns the value of the 'Parameter List' containment reference list.
`void` `setFunction(Function value)` Sets the value of the '`Function`' reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.TableExpression
`getColumnList, getMergeTargetTable, getResultTableAllColumns, getTableCorrelation, getValueExprColumns, setMergeTargetTable, setTableCorrelation`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.TableReference
`getMergeSourceTable, getNest, getQuerySelect, getTableJoinedLeft, getTableJoinedRight, setMergeSourceTable, setNest, setQuerySelect, setTableJoinedLeft, setTableJoinedRight`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getFunction

    Function getFunction()

  Returns the value of the 'Function' reference.

  If the meaning of the 'Function' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Function' reference.
  See Also:
    `setFunction(Function)`, `SQLQueryModelPackage.getTableFunction_Function()`

### setFunction

    void setFunction(Function value)

  Sets the value of the '`Function`' reference.

  Parameters:
    `value` - the new value of the 'Function' reference.
  See Also:
    `getFunction()`

### getParameterList

    org.eclipse.emf.common.util.EList getParameterList()

  Returns the value of the 'Parameter List' containment reference list. The list contents are of type `QueryValueExpression`. It is bidirectional and its opposite is '`Table Function`'.

  If the meaning of the 'Parameter List' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Parameter List' containment reference list.
  See Also:
    `SQLQueryModelPackage.getTableFunction_ParameterList()`, `QueryValueExpression.getTableFunction()`